Subject: Re: console_init() question

From: Dan Malek <[email-masked]>
Date: Thu, 27 Jan 2005 18:37:33 -0800

On Jan 27, 2005, at 6:07 PM, Povolotsky, Alexander wrote:

> I can not find (so far ) any specific error in values supplied vi 
> bd_info
> from the ("custom" modified pSOS bootloader) causing above problem.

Do you boot over a network?  Does your boot loader shut down
the network controller and interrupts before jumping to the kernel?

Everything looks OK until the CPM and serial port are reconfigured
by Linux, so something is amiss with that.  Could be many reasons
such as location of BDs and buffers, some part of the CPM still
running a peripheral from the boot loader that Linux doesn't know
about, and so on.

	-- Dan